package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIE9Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIE9Data() {}

    public static MWFIE9Data builder() {
        return new MWFIE9Data();
    }

    public MWFIE9Data rsCmId(String rsCmId) {
        params.put("RS_CM_ID", rsCmId);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
